<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\ExportAdapter;

use Kufer\Web\Classes\export\ExportKurseWithSpecifiedDozent;

class ExpKurseWithSpecifiedDozent extends \Exportadapter
{
  
  private $dozent;

  public function __construct(\Dozent $dozent)
  {
    $this->dozent = $dozent;

    parent::__construct(true);
  }

  public function initiate()
  {
    $this->export = new ExportKurseWithSpecifiedDozent($this->dozent);
  }
}